com.jscape.inet.mft.management.descriptors

## Enum FtpConfiguration.RepresentationType

- java.lang.Object
- - java.lang.Enum<FtpConfiguration.RepresentationType>
  - - com.jscape.inet.mft.management.descriptors.FtpConfiguration.RepresentationType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FtpConfiguration.RepresentationType>
  Enclosing class:
    FtpConfiguration

      public static enum FtpConfiguration.RepresentationType
      extends java.lang.Enum<FtpConfiguration.RepresentationType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASCII`
    `IMAGE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FtpConfiguration.RepresentationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FtpConfiguration.RepresentationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASCII

          public static final FtpConfiguration.RepresentationType ASCII

    - #### IMAGE

          public static final FtpConfiguration.RepresentationType IMAGE

  - ### Method Detail

    - #### values

          public static FtpConfiguration.RepresentationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FtpConfiguration.RepresentationType c : FtpConfiguration.RepresentationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FtpConfiguration.RepresentationType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © JSCAPE LLC. 1999-2019. All Rights Reserved